- Home
- API Enriched
- Tenant And Identity
- web
- Update OIDC mappers.
Update OIDC mappers.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/oidc_providers/example/mappers';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example","oidc_mappers":{"email":"hello@example.com"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/oidc_providers/example/mappers \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example", "oidc_mappers": { "email": "hello@example.com" } }'Update OIDC mappers updates OIDC mappers in underlying IDM provider.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace contains namespace of OIDC provider. Namespace should be system.
OIDC provider name Name contains name/alias of underlying OIDC provider.
Request Bodyrequired
Section titled “Request Bodyrequired”When 3rd party OIDC provider uses non-standard field names, user creation in F5XC Identity may fail to identify right attributes for user object. Use this mapper to map values from authentication token to user attributes.
object
Name contains name/alias of underlying OIDC provider.
Namespace contains namespace of OIDC provider. Namespace should be system.
object
Set authentication token field name to be used by F5XC for identifying user’s email. Please ensure the field name using here is set as part of authentication token from corresponding provider’s authentication application.
Examplegenerated
{ "name": "example", "namespace": "example", "oidc_mappers": { "email": "hello@example.com" }}Responses
Section titled “Responses”A successful response.
Examplegenerated
exampleReturned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example